import React from 'react'
import { useDrag } from 'react-dnd'
import { CloseCircleOutlined } from '@ant-design/icons'
import './index.scss'

const MobSourceElement = ({item, triggerDel}) => {
  const [, drag] = useDrag({ item })
  return (
    <div className={'menu-source-item ' + item.component + '-' + item.subtype}>
      <div className="property"><span>{item.title}</span>{item.config ? <CloseCircleOutlined onClick={() => triggerDel(item)}/> : null}</div>
      <img ref={drag} src={item.url} alt=""/>
    </div>
  )
}
export default MobSourceElement